Bug 68269 - add support for utah-glx open GL drivers
add support for utah-glx open GL drivers
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
http://utah-glx.sourceforge.net
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-08 15:41 EDT by tom georgoulias
Modified: 2007-04-18 12:43 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-19 05:15:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description tom georgoulias 2002-07-08 15:41:46 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; SunOS sun4u; en-US; rv:1.0.0) Gecko/20020611

Description of problem:
Would like to request support for utah-glx hardware accelerated Open GL drivers
in Red Hat Linux to provide better 3D performance for nVidia graphics cards.

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
N/A

Actual Results:  N/A

Expected Results:  Happy users with tested, open source hardware acceleration on
nVidia graphics cards.  ;)

Additional info:

Support for utah-glx drivers will diminish the need for some users to rely on
third party, binary kernel modules for 3D hardware accelerationand could
decrease the amount of erroneous kernel bug reports.
Comment 1 Mike A. Harris 2002-07-09 20:39:36 EDT
I've discussed the possibility of doing just this with Alan Cox at OLS.
As things stand right now, the Utah-GLX is not secure.  Also, merging it
into the distribution would create additional maintenance overhead that
isn't worth it currently.

Nonetheless, this is something that I would like to see happen at some
point, once it can be done in a secure and efficient manner, or possibly
ported to the DRI infrastructure.

I'm defering this for now, so that it can be re-examined in the future to
see if the current issues barring its inclusion have been resolved.
Comment 2 Mike A. Harris 2002-11-03 01:59:08 EST
To the best of my knowledge utah-glx is still an insecure project.
I've no plans on including it in Red Hat Linux in the future.  Hopefully
someone who cares enough will either port the drivers to the DRI
interfaces, or will come up with some secure alternative method.

It's just too much effort for too little gain.
Comment 3 Alan Cox 2002-11-03 11:21:51 EST
As I keep telling you utah-glx is server side and you are talking out of your
arse about security 8)

Comment 4 Mike A. Harris 2002-12-19 05:15:19 EST
I've been told by many people, yourself included that Utah-GLX was insecure,
and that it had various other problems as well.  If this is out my arse,
then I've been lied to by people, or misunderstood them.

At any rate, I am not including Utah-GLX in Red Hat Linux nor have plans
to in the future either.  It is too much work to maintain this type of
infrastructure at this point in time, secure or not.  And we do not have
the developer resources to handle problems that would be reported in this
additional bundle of code for hardware that is pretty much ancient.

It makes no business sense to include this in the distribution, and would
be just a liability.

Note You need to log in before you can comment on or make changes to this bug.